PHP-инклюдинг в CARE2X

Дата публикации:
16.03.2007
Всего просмотров:
1838
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2007-1574
CVE-2007-1458
CVE-2007-5418
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
Раскрытие системных данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
CARE2X 2.x
Уязвимые версии: CARE2X 2.2, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе и получить доступ к важным данным.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "root_path" в сценариях include/inc_checkdate_lang.php, include/inc_environment_global.php и include/inc_load_copyrite.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP.

2. Злоумышленник может получить некоторые системные данные запросив сценарий phpinfo.php, выполняющий функцию "phpinfo()".

URL производителя: www.care2x.org

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA